NX Open C++ Reference Guide
|
Represents a @link Features::MidSurfaceByFacePairs Features::MidSurfaceByFacePairs@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateMidSurfaceByFacePairsBuilder Features::FeatureCollection::CreateMidSurfaceByFacePairsBuilder @endlink <br>
Default values. More...
Public Types | |
enum | PairingStrategyType { PairingStrategyTypeProgressive, PairingStrategyTypeThickness, PairingStrategyTypeManual } |
pairing strategy More... | |
enum | SurfaceType { SurfaceTypeStandard, SurfaceTypeSide1, SurfaceTypeOffset, SurfaceTypeCloudOfPoints, SurfaceTypeLarge } |
midsurface options More... | |
enum | TrimmingOptionType { TrimmingOptionTypeAdvancedTrimming, TrimmingOptionTypeBodyBasedTrimming, TrimmingOptionTypeTrimtoSide1withNoExtension, TrimmingOptionTypeSkipTrimming } |
trimming options More... | |
Public Member Functions | |
void | AutoPopulateSideTwo () |
Automatically populate side two faces Created in NX7.5.0. | |
bool | AutoPopulateSideTwoOption () |
Returns the auto populate side two faces option Created in NX7.5.0. | |
NXOpen::SelectBodyList * | BodySelection () |
Returns the solid bodies for midsurface definition Created in NX7.5.0. | |
std::vector < NXOpen::Features::Feature * > | CreateFacePair () |
Create or edit a face pair from selected side1 and side2 faces. | |
void | DeleteFacePair (const std::vector< NXOpen::NXObject * > &facePairs) |
Deletes the face pair Created in NX7.5.0. | |
bool | HideBodyOption () |
Returns the hide solid body option Created in NX7.5.0. | |
NXOpen::ScCollector * | IgnoreFaceSelection () |
Returns the ignore face selection Created in NX7.5.0. | |
double | MergeAngleTolerance () |
Returns the merge angle tolerance Created in NX8.0.1. | |
void | MergeFacePairs (const std::vector< NXOpen::NXObject * > &facePairs) |
Merges the face pairs Created in NX9.0.0. | |
void | ModifyMidsurface (NXOpen::Features::MidSurfaceByFacePairsBuilder::SurfaceType surfaceOption, const std::vector< NXOpen::NXObject * > &facePairs) |
Use cloud of points to generate neutral sheet Created in NX7.5.0. | |
NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategyType | PairingStrategy () |
Returns the pairing strategy used by automatic pairs Created in NX7.5.0. | |
void | ReverseFacePair (const std::vector< NXOpen::NXObject * > &facePairs) |
Reverse face pair Created in NX7.5.0. | |
NXOpen::Expression * | SearchDistance () |
Returns the search distance to be used when searching for side 2 faces Created in NX7.5.0. | |
void | SetAutoPopulateSideTwoOption (bool autoPopulateSideTwoOption) |
Sets the auto populate side two faces option Created in NX7.5.0. | |
void | SetHideBodyOption (bool hideBodyOption) |
Sets the hide solid body option Created in NX7.5.0. | |
void | SetMergeAngleTolerance (double mergeAngleTolerance) |
Sets the merge angle tolerance Created in NX8.0.1. | |
void | SetPairingStrategy (NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategyType pairingStrategy) |
Sets the pairing strategy used by automatic pairs Created in NX7.5.0. | |
void | SetThicknessRatio (double thicknessRatio) |
Sets the dt ratio for ignoring small features Created in NX7.5.0. | |
void | SetTrimmingOption (NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType trimmingOption) |
Sets the trimming option Created in NX7.5.0. | |
void | SetUpdateOption (bool updateOption) |
Sets the immediate update Created in NX7.5.0. | |
void | SetupFacePairInContext (NXOpen::Features::Feature *facePair) |
Set face pair to edit Created in NX7.5.0. | |
NXOpen::SelectBodyList * | SheetSelection () |
Returns the user defined sheet selection Created in NX7.5.0. | |
NXOpen::ScCollector * | SideOneSelection () |
Returns the side one faces for manual pair Created in NX7.5.0. | |
NXOpen::ScCollector * | SideTwoSelection () |
Returns the side two faces for manual pair Created in NX7.5.0. | |
double | ThicknessRatio () |
Returns the dt ratio for ignoring small features Created in NX7.5.0. | |
NXOpen::Expression * | ThicknessValue () |
Returns the thickness value when pairing strategy is set to Thickness Created in NX7.5.0. | |
void | Trim (NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType trimmingOption, const std::vector< NXOpen::NXObject * > &facePairs) |
Trim the face pairs Created in NX7.5.0. | |
NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType | TrimmingOption () |
Returns the trimming option Created in NX7.5.0. | |
bool | UpdateOption () |
Returns the immediate update Created in NX7.5.0. | |
void | ValidateSelection (int selectionType) |
Validate and filter out invalid items from the selection list Created in NX7.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::MidSurfaceByFacePairs Features::MidSurfaceByFacePairs@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateMidSurfaceByFacePairsBuilder Features::FeatureCollection::CreateMidSurfaceByFacePairsBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AutoPopulateSideTwoOption |
0 |
HideBodyOption |
0 |
MergeAngleTolerance |
5 |
PairingStrategy |
Progressive |
SearchDistance.Value |
2.0 (millimeters part), 0.078 (inches part) |
ThicknessRatio |
0.1 |
ThicknessValue.Value |
2.0 (millimeters part), 0.078 (inches part) |
TrimmingOption |
AdvancedTrimming |
Created in NX7.5.0.
trimming options
TrimmingOptionTypeAdvancedTrimming |
Advanced trimming. |
TrimmingOptionTypeBodyBasedTrimming |
Body based trimming. |
TrimmingOptionTypeTrimtoSide1withNoExtension |
Trim to master. |
TrimmingOptionTypeSkipTrimming |
Skip trimming for replacement sheets. |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::AutoPopulateSideTwo | ( | ) |
Automatically populate side two faces
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::MidSurfaceByFacePairsBuilder::AutoPopulateSideTwoOption | ( | ) |
Returns the auto populate side two faces option
Created in NX7.5.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Features::MidSurfaceByFacePairsBuilder::BodySelection | ( | ) |
Returns the solid bodies for midsurface definition
Created in NX7.5.0.
License requirements : None
std::vector<NXOpen::Features::Feature *> NXOpen::Features::MidSurfaceByFacePairsBuilder::CreateFacePair | ( | ) |
Create or edit a face pair from selected side1 and side2 faces.
void NXOpen::Features::MidSurfaceByFacePairsBuilder::DeleteFacePair | ( | const std::vector< NXOpen::NXObject * > & | facePairs | ) |
Deletes the face pair
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
facePairs | Pairs to be deleted |
bool NXOpen::Features::MidSurfaceByFacePairsBuilder::HideBodyOption | ( | ) |
Returns the hide solid body option
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::MidSurfaceByFacePairsBuilder::IgnoreFaceSelection | ( | ) |
Returns the ignore face selection
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::MidSurfaceByFacePairsBuilder::MergeAngleTolerance | ( | ) |
Returns the merge angle tolerance
Created in NX8.0.1.
License requirements : None
void NXOpen::Features::MidSurfaceByFacePairsBuilder::MergeFacePairs | ( | const std::vector< NXOpen::NXObject * > & | facePairs | ) |
Merges the face pairs
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
facePairs | Pairs to be merged |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::ModifyMidsurface | ( | NXOpen::Features::MidSurfaceByFacePairsBuilder::SurfaceType | surfaceOption, |
const std::vector< NXOpen::NXObject * > & | facePairs | ||
) |
Use cloud of points to generate neutral sheet
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
surfaceOption | surfaceoption |
facePairs | Pairs to use cloud of points |
NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategyType NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategy | ( | ) |
Returns the pairing strategy used by automatic pairs
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::MidSurfaceByFacePairsBuilder::ReverseFacePair | ( | const std::vector< NXOpen::NXObject * > & | facePairs | ) |
Reverse face pair
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
facePairs | Pairs to be reversed |
NXOpen::Expression* NXOpen::Features::MidSurfaceByFacePairsBuilder::SearchDistance | ( | ) |
Returns the search distance to be used when searching for side 2 faces
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetAutoPopulateSideTwoOption | ( | bool | autoPopulateSideTwoOption | ) |
Sets the auto populate side two faces option
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
autoPopulateSideTwoOption | autopopulatesidetwooption |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetHideBodyOption | ( | bool | hideBodyOption | ) |
Sets the hide solid body option
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
hideBodyOption | hidebodyoption |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetMergeAngleTolerance | ( | double | mergeAngleTolerance | ) |
Sets the merge angle tolerance
Created in NX8.0.1.
License requirements : None
mergeAngleTolerance | mergeangletolerance |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetPairingStrategy | ( | NXOpen::Features::MidSurfaceByFacePairsBuilder::PairingStrategyType | pairingStrategy | ) |
Sets the pairing strategy used by automatic pairs
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
pairingStrategy | pairingstrategy |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetThicknessRatio | ( | double | thicknessRatio | ) |
Sets the dt ratio for ignoring small features
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
thicknessRatio | thicknessratio |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetTrimmingOption | ( | NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType | trimmingOption | ) |
Sets the trimming option
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimmingOption | trimmingoption |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetUpdateOption | ( | bool | updateOption | ) |
Sets the immediate update
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
updateOption | updateoption |
void NXOpen::Features::MidSurfaceByFacePairsBuilder::SetupFacePairInContext | ( | NXOpen::Features::Feature * | facePair | ) |
Set face pair to edit
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
facePair | Face pair to edit |
NXOpen::SelectBodyList* NXOpen::Features::MidSurfaceByFacePairsBuilder::SheetSelection | ( | ) |
Returns the user defined sheet selection
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::MidSurfaceByFacePairsBuilder::SideOneSelection | ( | ) |
Returns the side one faces for manual pair
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::MidSurfaceByFacePairsBuilder::SideTwoSelection | ( | ) |
Returns the side two faces for manual pair
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::MidSurfaceByFacePairsBuilder::ThicknessRatio | ( | ) |
Returns the dt ratio for ignoring small features
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::MidSurfaceByFacePairsBuilder::ThicknessValue | ( | ) |
Returns the thickness value when pairing strategy is set to Thickness
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::MidSurfaceByFacePairsBuilder::Trim | ( | NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType | trimmingOption, |
const std::vector< NXOpen::NXObject * > & | facePairs | ||
) |
Trim the face pairs
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimmingOption | trimmingoption |
facePairs | Pairs to be deleted |
NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOptionType NXOpen::Features::MidSurfaceByFacePairsBuilder::TrimmingOption | ( | ) |
Returns the trimming option
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::MidSurfaceByFacePairsBuilder::UpdateOption | ( | ) |
Returns the immediate update
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::MidSurfaceByFacePairsBuilder::ValidateSelection | ( | int | selectionType | ) |
Validate and filter out invalid items from the selection list
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
selectionType | 0 - BodySelection, 1 - SideOneSelection, 2 - SideTwoSelection |